• Login
sketchucation logo sketchucation
  • Login
ℹ️ GoFundMe | Our friend Gus Robatto needs some help in a challenging time Learn More

Getting ComponentInstance position

Scheduled Pinned Locked Moved Developers' Forum
4 Posts 3 Posters 304 Views
Loading More Posts
  • Oldest to Newest
  • Newest to Oldest
  • Most Votes
Reply
  • Reply as topic
Log in to reply
This topic has been deleted. Only users with topic management privileges can see it.
  • M Offline
    motish5
    last edited by 2 Oct 2008, 17:33

    Hey

    How can I get the position of some ComponentInstance (which appear in the model) by the ruby?

    thank a lot

    1 Reply Last reply Reply Quote 0
    • T Offline
      TIG Moderator
      last edited by 2 Oct 2008, 18:00

      Look up transformation in API...

      http://download.sketchup.com/sketchuphelp/gsu6_ruby/Docs/Ruby-ComponentInstance.html#transformation

      TIG

      1 Reply Last reply Reply Quote 0
      • M Offline
        motish5
        last edited by 3 Oct 2008, 05:57

        I did read tha API transformation, but still cant get how exactly can I get the position

        Assume I want to draw an edge from the (o,o,o) Point to the component position, what should I type in the ruby?

        thank a lot

        1 Reply Last reply Reply Quote 0
        • J Offline
          Jim
          last edited by 4 Oct 2008, 14:16

          Something like this...

          
          comp_instance = (Sketchup.active_model.entities.select{ |e| e.typename == "ComponentInstance"}).first
          Sketchup.active_model.entities.add_edges( ORIGIN, comp_instance.transformation.origin )
          
          

          Hi

          1 Reply Last reply Reply Quote 0
          • 1 / 1
          1 / 1
          • First post
            2/4
            Last post
          Buy SketchPlus
          Buy SUbD
          Buy WrapR
          Buy eBook
          Buy Modelur
          Buy Vertex Tools
          Buy SketchCuisine
          Buy FormFonts

          Advertisement